#!/bin/sh
# standalone version of the mp4v2 library
# http://code.google.com/p/mp4v2/
#
# http://mp4v2.googlecode.com/files/mp4v2-2.0-20090110.tar.bz2
# download via browser - wget doesn't work
#
# script for zenwalk  by til (rob.til.freedman~AT~gmail.com)


SRC_URL=http://mp4v2.googlecode.com/files
#SRC_PKG=mp4v2-trunk-r355.tar.bz2
SRC_PKG=mp4v2-2.0-20090110.tar.bz2

CWD=$(pwd)
set -e -u -x

#libmp4v2
version=2.0_20090110

build=64.1
arch=i686
tune=pentium-m
tune=${tune:-i686}

PKG_DEP="gcc,gcc-g++"
PKG_SRC="http://zenwalk.pinguix.com/user-accounts/tilderb/extra/l/libmp4v2/build-libmp4v2.sh
$SRC_URL/$SRC_PKG"

# check source exists
#for url in $PKG_SRC;do [ ! -e ${url##*/} ] && wget -N -c $url; done

pkgname=libmp4v2-$version
package=$pkgname-$arch-$build

TMP=${TMP:-$CWD/tmp}
PKG=$TMP/$package
SRC=$TMP/$pkgname

[ -d $SRC ] && rm -fr $SRC
[ -d $PKG ] && rm -fr $PKG

# prepare build directory
mkdir -p $SRC $PKG/{install,usr/{src,doc}/$pkgname}

tar xf $CWD/$SRC_PKG --strip-components=1 -C $SRC
cd $SRC
[ -d build ] && rm -fr build
mkdir build && pushd build
# build static lib without tools  --disable-util
../configure --help
CFLAGS="-O2 -march=$arch -mtune=$tune " \
CXXFLAGS="-O2 -march=$arch -mtune=$tune " \
 ../configure \
	--prefix=/usr \
	--mandir=/usr/man \
	--disable-debug   \
	--enable-static=no \
	--enable-shared=yes 
	
make || exit 1
#  make install-libLTLIBRARIES DESTDIR=$PKG
make install DESTDIR=$PKG
make install-man DESTDIR=$PKG
popd
# docs
cp -a COPYING README doc/*.txt $PKG/usr/doc/$pkgname
cd $PKG

# strip symbols
find . |xargs -r file |grep "executable\|shared object" |grep ELF |\
	cut -f 1 -d : | xargs -r strip --strip-unneeded

# slack description
#       |-----handy-ruler------------------------------------------------------|
cat <<EOF > install/slack-desc
libmp4v2: libmp4v2 (lib/tools to read and manipulate the mp4 container format)
libmp4v2:
libmp4v2: It contains only code to read and manipulate the mp4 container
libmp4v2: format and is free from patent issues to the best of my knowledge.
libmp4v2:
libmp4v2: libmp4v2 used to be part of the mpeg4ip library but has been moved into
libmp4v2: its own maintained library due to a combination of the cessation of 
libmp4v2: support of mpeg4ip and the usefulness of this library on its own.
libmp4v2: 
EOF
#
# zip man pages
find usr/man -type f -name "*.?" | xargs gzip -9

# copy build script
cp $CWD/build-libmp4v2.sh usr/src/$pkgname
cd $PKG
fakeroot /sbin/makepkg -l y -c n $CWD/$package.txz

cd $CWD
echo "$PKG_SRC" >$package.src
#depfinder $PKG > $package.dep
echo -n $PKG_DEP >$package.dep
md5sum $package.txz >$package.md5
#rm -fr $SRC $PKG
